changeset 725:48e746f45bde

Include the kdiff3 executable
author Chris Cannam
date Mon, 17 Dec 2018 09:25:11 +0000
parents c59c17665162
children 720595a8fa10
files deploy/linux/deploy-appimage.sh deploy/linux/deploy-deb.sh deploy/linux/docker/Dockerfile_appimage.in deploy/linux/docker/Dockerfile_deb.in
diffstat 4 files changed, 42 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/deploy/linux/deploy-appimage.sh	Fri Dec 14 17:28:31 2018 +0000
+++ b/deploy/linux/deploy-appimage.sh	Mon Dec 17 09:25:11 2018 +0000
@@ -3,6 +3,11 @@
 set -eu
 
 program=EasyMercurial
+kdiff=easyhg-kdiff3
+merge=easyhg-merge.sh
+extdiff=easyhg-extdiff.sh
+
+programs="$program $kdiff $merge $extdiff"
 
 get_id() {
     if [ -d .hg ]; then
@@ -22,6 +27,13 @@
     exit 2
 fi
 
+for p in $programs; do
+    if [ ! -x "$p" ]; then
+        echo "Failed to find executable ./$p, please build and check"
+        exit 2
+    fi
+done
+
 targetdir="${program}.AppDir"
 
 echo "Target dir is $targetdir"
@@ -36,7 +48,7 @@
 mkdir -p "$targetdir"/usr/bin
 mkdir -p "$targetdir"/usr/lib
 
-cp "$program" "$targetdir"/usr/bin/
+cp $programs "$targetdir"/usr/bin/
 
 add_dependencies() {
 
@@ -71,6 +83,7 @@
 }
 
 add_dependencies "$program"
+add_dependencies "$kdiff"
 
 qtplugins="gif icns ico jpeg tga tiff wbmp webp cocoa minimal offscreen xcb"
 qtlibdirs="/usr/lib/x86_64-linux-gnu/qt5 /usr/lib/x86_64-linux-gnu/qt /usr/lib/qt5 /usr/lib/qt"
--- a/deploy/linux/deploy-deb.sh	Fri Dec 14 17:28:31 2018 +0000
+++ b/deploy/linux/deploy-deb.sh	Mon Dec 17 09:25:11 2018 +0000
@@ -23,6 +23,12 @@
 set -eu
 
 program=EasyMercurial
+kdiff=easyhg-kdiff3
+merge=easyhg-merge.sh
+extdiff=easyhg-extdiff.sh
+
+programs="$program $kdiff $merge $extdiff"
+
 package=easymercurial
 depdir=deploy/linux
 
@@ -35,6 +41,13 @@
     exit
 fi
 
+for p in $programs; do
+    if [ ! -x "$p" ]; then
+        echo "Failed to find executable ./$p, please build and check"
+        exit 2
+    fi
+done
+
 mkdir "$targetdir"
 
 mkdir "$targetdir/DEBIAN"
@@ -43,7 +56,7 @@
 
 mkdir -p "$targetdir"/usr/bin "$targetdir"/usr/share/pixmaps "$targetdir"/usr/share/applications "$targetdir"/usr/share/doc/"$package"
 
-cp "$program" "$targetdir"/usr/bin/
+cp $programs "$targetdir"/usr/bin/
 
 cp images/icon/scalable/easyhg-icon.svg "$targetdir"/usr/share/pixmaps/
 cp images/icon/128/easyhg-icon.png "$targetdir"/usr/share/pixmaps/
--- a/deploy/linux/docker/Dockerfile_appimage.in	Fri Dec 14 17:28:31 2018 +0000
+++ b/deploy/linux/docker/Dockerfile_appimage.in	Mon Dec 17 09:25:11 2018 +0000
@@ -47,5 +47,12 @@
 RUN qmake -r
 RUN make
 
+RUN hg clone https://code.soundsoftware.ac.uk/hg/easyhg-kdiff3
+WORKDIR easyhg-kdiff3/kdiff3/src-QT4
+RUN qmake -r kdiff3.pro
+RUN make
+RUN cp kdiff3 ../../../easyhg-kdiff3
+
+WORKDIR /easyhg
 RUN deploy/linux/deploy-appimage.sh
 RUN tar cvf output-appimage.tar *.AppImage && cp output-appimage.tar ..
--- a/deploy/linux/docker/Dockerfile_deb.in	Fri Dec 14 17:28:31 2018 +0000
+++ b/deploy/linux/docker/Dockerfile_deb.in	Mon Dec 17 09:25:11 2018 +0000
@@ -39,5 +39,12 @@
 RUN qmake -r
 RUN make
 
+RUN hg clone https://code.soundsoftware.ac.uk/hg/easyhg-kdiff3
+WORKDIR easyhg-kdiff3/kdiff3/src-QT4
+RUN qmake -r kdiff3.pro
+RUN make
+RUN cp kdiff3 ../../../easyhg-kdiff3
+
+WORKDIR /easyhg
 RUN deploy/linux/deploy-deb.sh [[RELEASE]] amd64
 RUN tar cvf output-deb.tar *.deb && cp output-deb.tar ..